For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • GETList Order Metafields
              • POSTCreate Multiple Metafields
              • PUTUpdate Multiple Metafields
              • DELDelete Multiple Metafields
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsBatch Metafields

List Order Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/orders/metafields
GET
/stores/:store_hash/v3/orders/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/orders/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "permission_set": "app_only",
5 "date_created": "2023-11-10T14:22:00+00:00",
6 "date_modified": "2024-04-15T09:45:00+00:00",
7 "description": "Order processing staff assigned",
8 "id": 987654321,
9 "key": "Staff Name",
10 "namespace": "Sales Department",
11 "owner_client_id": "a1b2c3d4e5f6g7h8i9j0klmnopqrstuv",
12 "resource_id": 123456,
13 "resource_type": "order",
14 "value": "Ronaldo"
15 }
16 ],
17 "meta": {
18 "pagination": {
19 "total": 36,
20 "count": 36,
21 "per_page": 50,
22 "current_page": 1,
23 "total_pages": 1,
24 "links": {
25 "previous": null,
26 "current": "?page=1&limit=50",
27 "next": null
28 }
29 }
30 }
31}
Get all order metafields.
Was this page helpful?
Previous

List Transactions

Next

Create Multiple Metafields

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

key:inlist of stringsOptional

Filter using a comma-separated list of metafield keys. Could be used with vanilla key query parameter.

namespacestringOptional

Filter based on a metafieldʼs key.

namespace:inlist of stringsOptional

Filter using a comma-separated list of metafield namespaces. Can be used with vanilla namespace query parameter.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

date_createdstringOptional

Filter items by date created. For example, date_created=2019-09-04T00:00:00. Returns metafields created on this date.

date_modifiedstringOptional

Filter items by date modified. For example, date_modified=2019-09-04T00:00:00. Returns metafields modified on this date.

date_created:minstringOptional

Filter items by minimum date created. For example, date_created:min=2019-09-04T00:00:00 or date_created:min=2019-09-04. Returns metafields created after this date.

date_created:maxstringOptional

Filter items by maximum date created. For example, date_created:max=2019-09-04T00:00:00 or date_created:max=2019-09-04. Returns metafields created before this date.

date_modified:minstringOptional

Filter items by minimum date modified. For example, date_modified:min=2019-09-04T00:00:00 or date_modified:min=2019-09-04. Returns metafields modified after this date.

date_modified:maxstringOptional

Filter items by maximum date modified. For example, date_modified:max=2019-09-04T00:00:00 or date_modified:max=2019-09-04. Returns metafields modified before this date.

Response

List of Metafield objects.

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.